Rem  $Header: xmlpicover.sql 02-apr-00.00:24:59 kkarun Exp $ 
Rem
Rem  Copyright (c) Oracle Corporation 1999, 2000. All Rights Reserved. 
Rem
Rem  DESCRIPTION
Rem
Rem  NOTES
Rem 
Rem 
Rem  MODIFIED    (MM/DD/YY)
Rem  kkarun      04/02/00 - change id to number
Rem  nramakri    09/17/99 - Creation
Rem

create or replace package xmlpicover is

FUNCTION getTarget(id number) return varchar2 
is language java
name 'oracle.xml.parser.plsql.XMLPICover.getTarget(int) returns java.lang.String';

FUNCTION getData(id number, err in out number) return varchar2 
is language java
name 'oracle.xml.parser.plsql.XMLPICover.getData(int, int[]) 
returns java.lang.String';

PROCEDURE setData(id number, data varchar2, err in out number) 
is language java
name 'oracle.xml.parser.plsql.XMLPICover.setData(int, java.lang.String, 
                         int[])';

end;
/
show errors;
